cURL
curl --request GET \ --url https://api.givebutter.com/v1/pledges \ --header 'Authorization: Bearer <token>'
{ "data": [ { "id": "<string>", "contact_id": "<string>", "campaign_id": "<string>", "fund_id": "<string>", "type": "<string>", "status": "<string>", "status_friendly": "<string>", "amount": "<string>", "amount_fulfilled": "<string>", "amount_remaining": "<string>", "allow_custom_amount": "<string>", "installment_frequency": "<string>", "first_installment_date": "<string>", "next_installment_date": "<string>", "expected_fulfillment_date": "<string>", "memo": "<string>", "auto_remind": "<string>", "last_reminded_at": "<string>", "fee_coverage_type": "<string>", "fee_coverage_visibility": "<string>", "include_in_campaign_goal": "<string>", "tips_enabled": "<string>", "canceled_at": "<string>", "created_at": "<string>", "updated_at": "<string>" } ], "links": { "first": "<string>", "last": "<string>", "prev": "<string>", "next": "<string>" }, "meta": { "current_page": 2, "from": 2, "last_page": 2, "links": [ { "url": "<string>", "label": "<string>", "active": true } ], "path": "<string>", "per_page": 1, "to": 2, "total": 1 } }
Documentation IndexFetch the complete documentation index at: https://docs.givebutter.com/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://docs.givebutter.com/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Bearer <token>
<token>
Paginated set of PledgeResource
PledgeResource
Show child attributes
Was this page helpful?
Contact support